ConsoleLog (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.util
Class ConsoleLog

    java.lang.Object
      |
      +--org.beepcore.beep.util.ConsoleLog

All Implemented Interfaces:
  LogService

public class ConsoleLog
extends java.lang.Object
implements LogService

Class ConsoleLog

Constructor Summary
`ConsoleLog()`
`ConsoleLog(int severity)`

Method Summary
`boolean` | `isLogged(int sev)` Used to determine if a message of `sev` will be logged.
`void` | `logEntry(int sev, java.lang.String service, java.lang.String message)` Method logEntry
`void` | `logEntry(int sev, java.lang.String service, java.lang.Throwable exception)` Method logEntry
`void` | `setSeverity(int severity)` Method setSeverity

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleLog

    public ConsoleLog()

### ConsoleLog

    public ConsoleLog(int severity)

Method Detail

### logEntry

    public void logEntry(int sev,
                         java.lang.String service,
                         java.lang.String message)

  Description copied from interface: `LogService`
  Method logEntry

  Specified by:
    `logEntry` in interface `LogService`
  Parameters:
    `sev` -
    `service` -
    `message` -

### logEntry

    public void logEntry(int sev,
                         java.lang.String service,
                         java.lang.Throwable exception)

  Description copied from interface: `LogService`
  Method logEntry

  Specified by:
    `logEntry` in interface `LogService`
  Parameters:
    `sev` -
    `service` -
    `exception` -

### isLogged

    public boolean isLogged(int sev)

  Description copied from interface: `LogService`
  Used to determine if a message of `sev` will be logged.

  Specified by:
    `isLogged` in interface `LogService`

### setSeverity

    public void setSeverity(int severity)

  Method setSeverity

  Parameters:
    `severity` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.